Description

Supportanfrage

Wir haben hier einen Supportfall in dem ein Kunde versucht nach dem recorden eines dat files über den EDS files hinzuzufügen.

Der Kunde nimmt als Triggerevent: IEvent::EC_RecFileCloseInitiated nicht wie wir sonst IEvent _::_EC_RecPreFileClose.

Worin genau besteht der Unterschied zwischen den beiden Events? Kann es beim EC_RecFileCloseInitiated sein, dass das record

file eher geschlossen wird als das die Files hinzugefügt werden?

Lösung

EC_RecFileCloseInitiated wird vom EDS selbst verwendet um dort alles vorzubereiten, daher ist das noch zu früh um dort Daten

anzuhängen. Am besten nimmt man IEvent::EC_RecordingFinished oder IExtendedData::EVENT_EDRecordingFinished, da steht

dann alles bereit.

History

#1 - 2018-10-18 15:39 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to ELEKTROBIT

- Department set to SUPPORT

#3 - 2018-10-18 16:50 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

EC_RecFileCloseInitiated kommt vor EC_RecPreFileClose, das kann man im Kernel Information View schön verfolgen.

Die Frage ist, was will denn der Kunde machen, wie fügt er noch was hinzu (Nach dem Recording ???) und was geht denn konkret schief ?

Bitte auch noch eine Version angeben.

@Martin: Ist dir hierzu was bekannt ? Ich muss gestehen, ich seh das Event zum ersten Mal...

#4 - 2018-10-22 10:30 - hidden

Hallo Florian,

der Kunde verwendet ADTF 2.12.2.

Sie konnten das Problem nun wahrscheinlich lösen:

Sie fügen die Dateien nun hinzu, sobald sie verfügbar sind anstatt im letztmöglichen Moment, wenn der ADTF-Kernel versucht, verzweifelt

gleichzeitig sieben Recordings zu finalisieren. Das wurde jetzt tatsächlich einmal ausprobiert und scheint zu funktionieren.

Allerdings war uns hier laut Doku nicht ganz klar wann man welches FileClose Event abgreift um innerhab eines Services rekordete Daten um
zusätzliche Files zu erweitern. Macht es mehr Sinn beim EC_RecFileCloseInitiated die Daten hinzuzufügen, oder beim EC_RecPreFileClose?

Danke und Grüße,

Anja

#5 - 2018-10-23 11:17 - hidden

EC_RecFileCloseInitiated wird vom EDS selbst verwendet um dort alles vorzubereiten, daher ist das noch zu früh um dort Daten anzuhängen. Am

besten nimmt man IEvent::EC_RecordingFinished oder IExtendedData::EVENT_EDRecordingFinished, da steht dann alles bereit.

#7 - 2018-10-29 08:34 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1533 Fw: Help required on ADTF crash issue to EBPRODUCTSUPPORT-1533 Which event to

attach EDS data

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

Kein weiteres Feedback, Ticket wird geschlossen.

#8 - 2018-10-29 08:34 - hidden

- Status changed from To Be Closed to Closed
